Name:		eleet
Version:	0.3.3
Release:	1%{?dist}
Summary:	Screensaver based on ships from Elite
Group:		Amusements/Graphics
License:	GPLv2
URL:		http://software.amiga-hardware.com/eleet.cgi
Source0:	http://software.amiga-hardware.com/software/eleet-0.3.3.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libX11-devel libICE-devel libSM-devel
BuildRequires: SDL-devel SDL_image-devel SDL_ttf-devel
BuildRequires: mesa-libGL-devel mesa-libGLU-devel
BuildRequires: pkgconfig 
BuildRequires: gnome-screensaver 
BuildRequires: kdelibs 

%description
A screensaver for use with Linux and UNIX, that pays homage to the classic
space trading game of Elite. Eleet displays textured rotating OpenGL models
of various spaceships, based on on those found in Elite.

A random ship is chosen from a pool of 53 models and rotated against a
starfield background, whilst the name of the ship orbits around it. Ships with
exhausts will also emit thrust particles.

%package kde
Summary:       eleet-screensaver for KDE

%description kde
eleet for KDE

%prep
%setup -q
%configure

%build
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/eleet/README

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS INSTALL AUTHORS
%{_bindir}/eleet
%{_datadir}/eleet/fonts/eleet.ttf
%{_datadir}/eleet/textures/

%files kde
%{_datadir}/kde4/services/ScreenSavers/eleet.desktop

%changelog
* Sun Apr 07 2013 josef radinger <cheese@nosuchhost.net> - 0.3.3-1
-initial version
